/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_LIDARPERCEPTIONSERVICE_LIDARPERCEPTIONSERVICE_COMMON_H
#define JAC_AP_LIDARPERCEPTIONSERVICE_LIDARPERCEPTIONSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "perception/impl_type_vector_lidarperception2fusion.h"
#include "impl_type_perceptionboundingboxarray.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace lidarperceptionservice {

class LiDARPerceptionService {
public:
    constexpr LiDARPerceptionService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/LiDARPerceptionService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace lidarperceptionservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_LIDARPERCEPTIONSERVICE_LIDARPERCEPTIONSERVICE_COMMON_H
